
function onTalk()
    makeUnskippable()

    local session = getLevel().Session

    local index = session:GetCounter("SAJICO_Overtime_Pay_Basement") + 1

    session:SetCounter("SAJICO_Overtime_Pay_Basement", index)

    local indexString = tostring(index)
    if #indexString == 1 then indexString = "0" .. indexString end

    disableMovement()
    say("SAJICO_Overtime_Pay_Basement_" .. indexString)

    if index >= 2 then
        setFlag("SAJICO_BASEMENT", false)
        setFlag("SAJICO_BASEMENT_DONE", true)
    end

    setFlag(arguments, true)
end

function onEnd()
    enableMovement()
end